.accordion-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 20px;
  margin: 30px 0;
}

/* Stylowanie akordeonu */
.accordion-container {
  width: 100%;
}

.accordion-container .accordion {
  color: var(--text-color);
  cursor: pointer;
  padding: 18px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid rgb(210, 202, 202);
}

.accordion-container .accordion .icon {
  color: var(--text-color); /* Zwykły kolor, zmień jeśli chcesz */
}

.accordion-container .panel {
  max-height: 0;
  overflow: hidden;
  transition:
    max-height 0.6s ease,
    transform 1s ease;
  transform: scaleY(0.95);
  transform-origin: top;
  text-align: center;
  opacity: 0;
  max-width: 80%;
  margin: 0 auto;
  text-align: justify;
}

.accordion-container .panel.active {
  max-height: 500px;
  transform: scaleY(1);
  opacity: 1;
}
.accordion-container .panel.active p {
  font-size: 16px !important;
}

/* Numerki w kółeczku */
.accordion-container .number {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--secondary-color);
  color: var(--text-color);
  font-weight: bold;
  border-radius: 50%;
}

/* Stylowanie tekstu i przycisku */
.accordion-container .text-container {
  width: 100%;
  max-width: 600px;
  text-align: center;
  margin: 50px auto;
}

.accordion-content .text-container h2 {
  margin-bottom: 10px;
}

.accordion-content .text-container p {
  margin-bottom: 20px;
}

.accordion-content .cta-button:hover {
  background-color: var(--accent-color);
}

/* Responsywność */
@media (min-width: 768px) {
  .accordion-content {
    flex-direction: row;
    justify-content: space-between;
  }

  .accordion-container {
    width: 50%;
  }

  .accordion-content .text-container {
    width: 60%;
    text-align: center;
  }
}
